# JSON-RPC transport implementation

Source code:

  https://github.com/pavlov99/json-rpc

Issue tracker:

  https://github.com/pavlov99/json-rpc/issues

JSON-RPC is a stateless, light-weight remote procedure call (RPC) protocol. Primarily this specification defines several data structures and the rules around their processing. It is transport agnostic in that the concepts can be used within the same process, over sockets, over http, or in many various message passing environments. It uses JSON (RFC 4627) as data format.

## Features

- Supports JSON-RPC2.0 and JSON-RPC1.0

- Implementation is complete and 100% tested

- Does not depend on transport realisation, no external dependencies

- It comes with request manager and optional Django support

- Compatible with Python 2.6, 2.7, 3.x >= 3.2, PyPy

## Contents

- Quickstart
  - Installation
  - Integration
- Method dispatcher
  - `Dispatcher`
- Exceptions
  - JSON-RPC Errors
  - JSON-RPC Exceptions
- Integration with Django
  - Create api instance
  - Add api urls to the project
  - Add methods to api
  - Make requests to api
- Integration with Flask
  - Create api instance
  - Add api endpoint to the project
  - Add methods to api
  - Make requests to api
- jsonrpc Package
  - JSONRPC
  - Exceptions
  - Manager
  - jsonrpc.backend.django module